<?xml version="1.0" encoding="UTF-8"?>
<book version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
      xmlns:xlink="http://www.w3.org/1999/xlink"
      xmlns:xi="http://www.w3.org/2001/XInclude"
      xmlns:svg="http://www.w3.org/2000/svg"
      xmlns:mml="http://www.w3.org/1998/Math/MathML"
      xmlns:html="http://www.w3.org/1999/xhtml"
      xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>JOnAS 5 Developer guide</title>

    <authorgroup>
      <author>
        <orgname>JOnAS Team</orgname>
      </author>
    </authorgroup>

    <legalnotice>
      <para>This work is licensed under the Creative Commons
      Attribution-ShareAlike License. To view a copy of this license,visit
      <link
      xlink:href="http://creativecommons.org/licenses/by/2.0/deed.en">http://creativecommons.org/licenses/by-sa/2.0/deed.en</link>
      or send a letter to Creative Commons, 559 Nathan Abbott Way, Stanford,
      California 94305, USA.</para>
    </legalnotice>

    <copyright>
      <year>2008-2009</year>

      <holder>OW2 Consortium</holder>
    </copyright>
    <date>March 2009</date>
  </info>

  <preface xml:id="developer.pg.preface">
    <para>This guide explains how to modify the JONAS source code in order
    to contribute to the jonas development or to modify some modules.
    </para>
  </preface>

  <chapter xml:id="developing">
    <info>
      <title>Developing JOnAS</title>
    </info>
    <xi:include href="developerguide/getting_from_svn.xml" />
    <xi:include href="developerguide/building.xml" />
    <xi:include href="developerguide/code_convention.xml" />
    <xi:include href="developerguide/contributing.xml" />
  </chapter>

  <chapter xml:id="testing">
    <info>
      <title>Testing JOnAS</title>
    </info>
    <xi:include href="developerguide/running.xml" />
    <xi:include href="developerguide/usingexamples.xml" />
  </chapter>

</book>
